package electrosphere.logger;

import electrosphere.logger.Logger.LogLevel;

/**
 * The list of logging channels available
 */
public class LoggerInterface {
    
    
    
    public static Logger loggerNetworking;
    public static Logger loggerFileIO;
    public static Logger loggerGameLogic;
    public static Logger loggerRenderer;
    public static Logger loggerEngine;
    public static Logger loggerStartup;
    public static Logger loggerAuth;
    public static Logger loggerDB;
    public static Logger loggerAudio;
    public static Logger loggerUI;
    public static Logger loggerScripts;
    
    /**
     * Initializes all logic objects
     */
    public static void initLoggers(){
        loggerStartup = new Logger(LogLevel.WARNING);
        loggerNetworking = new Logger(LogLevel.WARNING);
        loggerFileIO = new Logger(LogLevel.WARNING);
        loggerGameLogic = new Logger(LogLevel.WARNING);
        loggerRenderer = new Logger(LogLevel.WARNING);
        loggerEngine = new Logger(LogLevel.WARNING);
        loggerAuth = new Logger(LogLevel.WARNING);
        loggerDB = new Logger(LogLevel.WARNING);
        loggerAudio = new Logger(LogLevel.WARNING);
        loggerUI = new Logger(LogLevel.WARNING);
        loggerScripts = new Logger(LogLevel.WARNING);
        loggerStartup.INFO("Initialized loggers");
    }
}
